Delete crawler job
curl --request DELETE \
--url https://eu-gcp-api.vg-stuff.com/v3/workspaces/{workspaceId}/crawler/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/workspaces/{workspaceId}/crawler/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/workspaces/{workspaceId}/crawler/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Crawler
Delete Crawler Job
Deletes a crawler job and its stored page data using the V3 API.
DELETE
/
workspaces
/
{workspaceId}
/
crawler
/
jobs
/
{jobId}
Delete crawler job
Deleting a crawler job removes the job record and its stored scraped page documents.
Overview
Use this when you want to remove a crawler job instead of keeping it in history.Crawler jobs are immutable after submission. Delete and recreate is the supported workflow instead of update.
⌘I
